
Member Nodes - Task #8607

MNDeployment # 8186 (Operational): ESS-DIVE, including CDIAC

Story # 8588 (Closed): ESSDIVE: Move to production

ESSDIVE: Register in Production

2018-06-12 15:37 - Amy Forrester

Status: Closed Start date: 2018-06-12

Priority: Normal Due date:  

Assignee: Chris Jones % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

Story Points:    

Description

Switch node configuration to enable synchronization.

Submit node registration to production CN.

D1 admin approves node registration on CN production server.

Confirm node is synchronizing as expected.

D1 edits custom CN_ properties, as described at 

https://github.com/DataONEorg/member-node-info/blob/master/custom_properties.md

Related issues:

Blocked by Member Nodes - Support #8692: UIC problem with replica node status Closed 2018-08-31

History

#1 - 2018-06-12 15:37 - Amy Forrester

- Assignee set to Chris Jones

#2 - 2018-08-06 22:59 - Chris Jones

- % Done changed from 0 to 30

- Status changed from New to In Progress

The ESS-DIVE node is set to synchronize, is registered in production, is approved, and CN attributes are set properly. Sync results are pending.

#3 - 2018-08-09 17:04 - Chris Jones

The vast majority of the ESS-DIVE content has been synced to production (9834 of 9910). THe remaining 76 objects are encountering a

NotAuthorized exception during sync. For example,

[ERROR] 2018-08-07 23:13:39,262 [SynchronizeTask918]  (V2TransferObjectTask:processTask:429) Task-urn:node:ESS

_DIVE-ess-dive-ed45ef9218636aa-20180704T213915408 - NotAuthorized to claim the seriesId - NotAuthorized - Both

 the submitter and rightsHolder does not have CHANGE rights on the SeriesId as determined by the current head 

of the Sid collection, whose pid is: ess-dive-c00b671be7f2797-20180402T145523398251

 

We are troubleshooting this issue.

Also, Val is in the process of updating the ReplicationPolicy for each of their objects, so results of replication are pending.
#4 - 2018-08-27 18:49 - Amy Forrester

8/27: {from chris}We are still waiting for the replication policies on all of their objects to be fulfilled, but the issues with the UIC node are a blocker. 

replication to KNB and mnORC1 went just fine, 

UIC MN currently has 728 replica objects, and currently there are 20 outstanding replica requests that have not been completed. I noticed this

because the ESS_DIVE Member Node has three replica nodes set as “preferred” (KNB, UIC, and mnORC1) to get replicas stored at

geographically disperse locations.  The KNB and mnORC1 nodes have completed around 7000 of the 10000 total replicas tasks.

#5 - 2018-08-31 15:51 - Amy Forrester

- Blocked by Support #8692: UIC problem with replica node status added

#6 - 2018-09-13 14:22 - Amy Forrester

- % Done changed from 30 to 100

- Status changed from In Progress to Closed

Per chris: The ESS_DIVE replicas on UIC are basically complete, with a few that have issues on the CN so won’t replicate over yet.

Powered by TCPDF (www.tcpdf.org)

2024-04-18 2/2

http://www.tcpdf.org

